loci.formats.in

## Class FV1000Reader.ChannelData

- java.lang.Object
- - loci.formats.in.FV1000Reader.ChannelData

- Enclosing class:
    FV1000Reader

      class FV1000Reader.ChannelData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `active`
    `java.lang.String` | `barrierFilter`
    `java.lang.String` | `dyeName`
    `java.lang.String` | `emissionFilter`
    `java.lang.Double` | `emWave`
    `java.lang.String` | `excitationFilter`
    `java.lang.Double` | `exWave`
    `java.lang.Double` | `gain`
    `java.lang.String` | `name`
    `java.lang.Double` | `voltage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFilter(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### active

          public boolean active

    - #### gain

          public java.lang.Double gain

    - #### voltage

          public java.lang.Double voltage

    - #### name

          public java.lang.String name

    - #### emissionFilter

          public java.lang.String emissionFilter

    - #### excitationFilter

          public java.lang.String excitationFilter

    - #### emWave

          public java.lang.Double emWave

    - #### exWave

          public java.lang.Double exWave

    - #### dyeName

          public java.lang.String dyeName

    - #### barrierFilter

          public java.lang.String barrierFilter

  - ### Constructor Detail

    - #### ChannelData

          ChannelData()

  - ### Method Detail

    - #### getFilter

          public java.lang.String getFilter(java.lang.String value)

Copyright © 2026 Open Microscopy Environment